# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['avesta',
 'avesta.preprocess',
 'avesta.resources',
 'avesta.tests',
 'avesta.tools',
 'avesta.tools.similarity',
 'avesta.tools.spell_checker']

package_data = \
{'': ['*'],
 'avesta': ['.git/*',
            '.git/hooks/*',
            '.git/info/*',
            '.git/logs/*',
            '.git/logs/refs/heads/*',
            '.git/logs/refs/remotes/origin/*',
            '.git/objects/00/*',
            '.git/objects/01/*',
            '.git/objects/03/*',
            '.git/objects/04/*',
            '.git/objects/05/*',
            '.git/objects/06/*',
            '.git/objects/09/*',
            '.git/objects/0a/*',
            '.git/objects/0b/*',
            '.git/objects/0c/*',
            '.git/objects/0d/*',
            '.git/objects/0e/*',
            '.git/objects/11/*',
            '.git/objects/12/*',
            '.git/objects/13/*',
            '.git/objects/14/*',
            '.git/objects/15/*',
            '.git/objects/16/*',
            '.git/objects/17/*',
            '.git/objects/18/*',
            '.git/objects/19/*',
            '.git/objects/1c/*',
            '.git/objects/1f/*',
            '.git/objects/20/*',
            '.git/objects/21/*',
            '.git/objects/22/*',
            '.git/objects/27/*',
            '.git/objects/28/*',
            '.git/objects/2c/*',
            '.git/objects/2e/*',
            '.git/objects/33/*',
            '.git/objects/35/*',
            '.git/objects/36/*',
            '.git/objects/38/*',
            '.git/objects/39/*',
            '.git/objects/3b/*',
            '.git/objects/3c/*',
            '.git/objects/3f/*',
            '.git/objects/40/*',
            '.git/objects/42/*',
            '.git/objects/43/*',
            '.git/objects/44/*',
            '.git/objects/48/*',
            '.git/objects/4b/*',
            '.git/objects/4c/*',
            '.git/objects/4f/*',
            '.git/objects/50/*',
            '.git/objects/51/*',
            '.git/objects/57/*',
            '.git/objects/5a/*',
            '.git/objects/5b/*',
            '.git/objects/5e/*',
            '.git/objects/61/*',
            '.git/objects/65/*',
            '.git/objects/67/*',
            '.git/objects/69/*',
            '.git/objects/6b/*',
            '.git/objects/6e/*',
            '.git/objects/73/*',
            '.git/objects/74/*',
            '.git/objects/78/*',
            '.git/objects/7b/*',
            '.git/objects/7d/*',
            '.git/objects/82/*',
            '.git/objects/86/*',
            '.git/objects/89/*',
            '.git/objects/8a/*',
            '.git/objects/8b/*',
            '.git/objects/8c/*',
            '.git/objects/8f/*',
            '.git/objects/90/*',
            '.git/objects/91/*',
            '.git/objects/98/*',
            '.git/objects/9b/*',
            '.git/objects/9d/*',
            '.git/objects/9e/*',
            '.git/objects/9f/*',
            '.git/objects/a2/*',
            '.git/objects/a6/*',
            '.git/objects/aa/*',
            '.git/objects/ab/*',
            '.git/objects/ac/*',
            '.git/objects/ad/*',
            '.git/objects/af/*',
            '.git/objects/b2/*',
            '.git/objects/b3/*',
            '.git/objects/b4/*',
            '.git/objects/b5/*',
            '.git/objects/b6/*',
            '.git/objects/ba/*',
            '.git/objects/be/*',
            '.git/objects/c1/*',
            '.git/objects/c7/*',
            '.git/objects/ca/*',
            '.git/objects/cb/*',
            '.git/objects/ce/*',
            '.git/objects/d2/*',
            '.git/objects/d3/*',
            '.git/objects/d6/*',
            '.git/objects/d7/*',
            '.git/objects/d9/*',
            '.git/objects/da/*',
            '.git/objects/db/*',
            '.git/objects/dd/*',
            '.git/objects/e1/*',
            '.git/objects/e3/*',
            '.git/objects/e4/*',
            '.git/objects/e6/*',
            '.git/objects/e8/*',
            '.git/objects/eb/*',
            '.git/objects/ed/*',
            '.git/objects/ee/*',
            '.git/objects/ef/*',
            '.git/objects/f1/*',
            '.git/objects/f4/*',
            '.git/objects/f5/*',
            '.git/objects/fa/*',
            '.git/objects/fb/*',
            '.git/objects/fd/*',
            '.git/objects/pack/*',
            '.git/refs/heads/*',
            '.git/refs/remotes/origin/*',
            '.git/refs/tags/*',
            '.github/workflows/*',
            '.idea/*',
            '.idea/inspectionProfiles/*'],
 'avesta.resources': ['corpora/*', 'ngrams/*', 'synonym/*']}

install_requires = \
['Levenshtein==0.25.0',
 'PersianStemmer==1.0.0',
 'nltk==3.9.1',
 'pandas==2.2.0',
 'tqdm==4.66.2']

setup_kwargs = {
    'name': 'avesta',
    'version': '0.18',
    'description': 'A Python library for text processing',
    'long_description': None,
    'author': 'Majid Fahandezi Sadi',
    'author_email': 'mfsadi.work@gmail.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/mfsadi/avesta',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.10,<4.0',
}


setup(**setup_kwargs)
